Package com.ocient.cli

# Class ParseException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
com.ocient.cli.ParseException

All Implemented Interfaces:
  `Serializable`

public class ParseException extends RuntimeException

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ParseException(String errorMessage)`
`ParseException(String errorMessage, Throwable cause)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ParseException

public ParseException(String errorMessage, Throwable cause)

### ParseException

public ParseException(String errorMessage)